Page MenuHomePhabricator

ApiVisualEditorEdit sets DerivativeRequest into global context
Closed, ResolvedPublic1 Story Points

Description

The DerivativeRequest introduced in rEVED581d1350e6ba: When saving, return the full contentSub to the client is set into the global context. This alters the global context destructively which effects ApiAction logging and APIAfterExecute hooks. In the case of ApiAction logging, it results in logging that the api action performed was 'view' rather than the expected 'visualeditoredit'.

Event Timeline

bd808 created this task.Apr 2 2016, 6:03 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 2 2016, 6:03 PM
Jdforrester-WMF triaged this task as High priority.Apr 3 2016, 8:01 AM
Jdforrester-WMF lowered the priority of this task from High to Normal.
Jdforrester-WMF set the point value for this task to 1.

On the VE side we could restore the original WebRequest after we're done with FlaggedRevs. Would that be enough @bd808?

On the VE side we could restore the original WebRequest after we're done with FlaggedRevs. Would that be enough @bd808?

Yeah that should work.

Let's just do that then

Change 283768 had a related patch set uploaded (by Alex Monk):
Restore original WebRequest after we're finished messing with FlaggedRevs on save

https://gerrit.wikimedia.org/r/283768

Change 283768 merged by jenkins-bot:
Restore original WebRequest after we're finished messing with FlaggedRevs on save

https://gerrit.wikimedia.org/r/283768

AlexMonk-WMF closed this task as Resolved.Apr 18 2016, 2:30 PM